package gov.va.med.esr.service.external.person;
import gov.va.med.esr.service.external.person.collections.ConfidentialAddressCategoryCollection;

import java.util.Date;

public class AddressInfo extends BaseAddressInfo {



	private static final long serialVersionUID = 7773926423457898837L;
	// PID/11/Z05
	private String addressTypeCode;
	//ZTA /3/Z05
    private Date addressChangeDateTime;
    //ZTA /4/Z05
	private String addressChangeEffectiveDate;
	//RF1/6/
	private String addressChangeSource;
	//ZTA /9/Z05
	private String addressChangeSite;
	//PID/13/Z05 
	//ZTA /7/Z05
	private String phoneNumber;
	
    private String         endDate;
    private String contactMethodType;
    private Date contactMethodReportDate;
    
    
    private ConfidentialAddressCategoryCollection confidentialAddressCategories;
    //16 fields
    private String badAddressReason;


	public void setAddressTypeCode( String addressTypeCode){
		this.addressTypeCode=addressTypeCode;
	}
	public String getAddressTypeCode(){
		return this.addressTypeCode;
	}
	public void setAddressChangeDateTime( Date addressChangeDateTime){
		this.addressChangeDateTime=addressChangeDateTime;
	}
	public Date getAddressChangeDateTime(){
		return this.addressChangeDateTime;
	}
	public void setAddressChangeEffectiveDate( String addressChangeEffectiveDate){
		this.addressChangeEffectiveDate=addressChangeEffectiveDate;
	}
	public String getAddressChangeEffectiveDate(){
		return this.addressChangeEffectiveDate;
	}
	public void setAddressChangeSource( String addressChangeSource){
		this.addressChangeSource=addressChangeSource;
	}
	public String getAddressChangeSource(){
		return this.addressChangeSource;
	}
	public void setAddressChangeSite( String addressChangeSite){
		this.addressChangeSite=addressChangeSite;
	}
	public String getAddressChangeSite(){
		return this.addressChangeSite;
	}
	public void setPhoneNumber( String phoneNumber){
		this.phoneNumber=phoneNumber;
	}
	public String getPhoneNumber(){
		return this.phoneNumber;
	}
	public String getEndDate() {
		return endDate;
	}
	public void setEndDate(String endDate) {
		this.endDate = endDate;
	}

	public ConfidentialAddressCategoryCollection getConfidentialAddressCategories() {
		return confidentialAddressCategories;
	}
	public void setConfidentialAddressCategories(ConfidentialAddressCategoryCollection confidentialAddressCategories) {
		this.confidentialAddressCategories = confidentialAddressCategories;
	}
    public String getBadAddressReason() {
        return badAddressReason;
    }
    public void setBadAddressReason(String badAddressReason) {
        this.badAddressReason = badAddressReason;
    }
	public String getContactMethodType() {
		return contactMethodType;
	}
	public void setContactMethodType(String contactMethodType) {
		this.contactMethodType = contactMethodType;
	}
	public Date getContactMethodReportDate() {
		return contactMethodReportDate;
	}
	public void setContactMethodReportDate(Date contactMethodReportDate) {
		this.contactMethodReportDate = contactMethodReportDate;
	}
}